Subject: bug#66744: 30.0.50; Emacs crashes when re-dumping into the same dump file another Emacs instance is using

From: Gerd Möllmann <[email-masked]>
Date: Thu, 26 Oct 2023 20:26:27 +0200

Eli Zaretskii <[email-masked]> writes:

>> > Emacs on GNU/Linux doesn't use mmap, we stopped doing this many years
>> > ago.
>> 
>> Ok, but I must admit that I don't see how that is done in pdumper.c.
>
> Then maybe I don't understand what bothers you.  What are the "changes
> made to the dump file in step 3" to which you allude?  AFRAIU, step 3
> simply loads the dump file, it doesn't change the file.  What did I
> miss?

What Ihor does is

1. Create a dump file F
2. Start an Emacs with that dump file F
3. Create F again, while the Emacs from step 2 runs